package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.entprise.Enterprise;
import com.sunxung.factoring.entity.sys.FileStorage;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 视频尽调
 * </p>
 *
 * @author liutao
 * @since 2023-12-09
 */
@TableName("video_due_diligence")
public class VideoDueDiligence extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;
    /**
     * 企业名称
     */
    @TableField("enterprise_name")
    private String enterpriseName;
    /**
     * 统一性用代码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;
    /**
     * 法定代表人
     */
    @TableField("legal_representative")
    private String legalRepresentative;
    /**
     * 年龄
     */
    @TableField("age")
    private Integer age;


    /**
     * 股东标准分值
     */
    @TableField("shareholder_standard_score")
    private BigDecimal shareholderStandardScore;

    /**
     * 股东测算分值
     */
    @TableField("shareholder_measurement_score")
    private BigDecimal shareholderMeasurementScore;

    /**
     * 股东问题
     */
    @TableField("shareholder_question")
    private String shareholderQuestion;

    /**
     * 股东尽调反馈
     */
    @TableField("shareholder_feedback")
    private String shareholderFeedback;

    /**
     * 股东准入结论 0否  1是
     */
    @TableField("shareholder_conclusion")
    private Integer shareholderConclusion;

    /**
     * 股东文件
     */
    @TableField(exist = false)
    private List<Long> shareholderFileIds;

    /**
     * 股东文件
     */
    @TableField(exist = false)
    private List<FileStorage> shareholderFile;

    /**
     * 成立日期
     */
    @TableField("start_date")
    private Date startDate;
    /**
     * 成立年限
     */
    @TableField("establishment_period")
    private Long establishmentPeriod;

    /**
     * 成立年限标准分值
     */
    @TableField("life_standard_score")
    private BigDecimal lifeStandardScore;

    /**
     * 成立年限测算分值
     */
    @TableField("life_measurement_score")
    private BigDecimal lifeMeasurementScore;

    /**
     * 成立年限问题
     */
    @TableField("life_question")
    private String lifeQuestion;

    /**
     * 成立年限尽调反馈
     */
    @TableField("life_feedback")
    private String lifeFeedback;

    /**
     * 成立年限文件
     */
    @TableField(exist = false)
    private List<Long> lifeFileIds;

    /**
     * 成立年限文件
     */
    @TableField(exist = false)
    private List<FileStorage> lifeFile;

    /**
     * 成立年限准入结论 0否  1是
     */
    @TableField("life_conclusion")
    private Integer lifeConclusion;

    /**
     * 注册资本
     */
    @TableField("registered_capital")
    private String registeredCapital;

    /**
     * 注册资本标准分值
     */
    @TableField("capital_standard_score")
    private BigDecimal capitalStandardScore;

    /**
     * 注册资本测算分值
     */
    @TableField("capital_measurement_score")
    private BigDecimal capitalMeasurementScore;

    /**
     * 注册资本问题
     */
    @TableField("capital_question")
    private String capitalQuestion;

    /**
     * 注册资本尽调反馈
     */
    @TableField("capital_feedback")
    private String capitalFeedback;

    /**
     * 注册资本文件
     */
    @TableField(exist = false)
    private List<Long> capitalFileIds;

    /**
     * 注册资本文件
     */
    @TableField(exist = false)
    private List<FileStorage> capitalFile;

    /**
     * 注册资本准入结论 0否  1是
     */
    @TableField("capital_conclusion")
    private Integer capitalConclusion;
    /**
     * 注册地址
     */
    @TableField("address")
    private String address;

    /**
     *  注册地址标准分值
     */
    @TableField("address_standard_score")
    private BigDecimal addressStandardScore;

    /**
     *  注册地址测算分值
     */
    @TableField("address_measurement_score")
    private BigDecimal addressMeasurementScore;

    /**
     *  注册地址问题
     */
    @TableField("address_question")
    private String addressQuestion;

    /**
     *  注册地址尽调反馈
     */
    @TableField("address_feedback")
    private String addressFeedback;

    /**
     * 注册地址文件
     */
    @TableField(exist = false)
    private List<Long> addressFileIds;

    /**
     * 注册地址文件
     */
    @TableField(exist = false)
    private List<FileStorage> addressFile;

    /**
     *  注册地址准入结论 0否  1是
     */
    @TableField("address_conclusion")
    private Integer addressConclusion;
    /**
     * 经营地址
     */
    @TableField("business_address")
    private String businessAddress;
    /**
     *  经营地址标准分值
     */
    @TableField("business_address_standard_score")
    private BigDecimal businessAddressStandardScore;

    /**
     *  经营地址测算分值
     */
    @TableField("business_address_measurement_score")
    private BigDecimal businessAddressMeasurementScore;

    /**
     *  经营地址问题
     */
    @TableField("business_address_question")
    private String businessAddressQuestion;

    /**
     *  经营地址尽调反馈
     */
    @TableField("business_address_feedback")
    private String businessAddressFeedback;

    /**
     * 经营地址文件
     */
    @TableField(exist = false)
    private List<Long> businessAddressFileIds;

    /**
     * 经营地址文件
     */
    @TableField(exist = false)
    private List<FileStorage> businessAddressFile;

    /**
     *  经营地址准入结论 0否  1是
     */
    @TableField("business_address_conclusion")
    private Integer businessAddressConclusion;

    /**
     *  所属行业
     */
    @TableField("industry")
    private String industry;

    /**
     *  所属行业标准分值
     */
    @TableField("industry_standard_score")
    private BigDecimal industryStandardScore;

    /**
     *  所属行业测算分值
     */
    @TableField("industry_measurement_score")
    private BigDecimal industryMeasurementScore;

    /**
     *  所属行业问题
     */
    @TableField("industry_question")
    private String industryQuestion;

    /**
     *  所属行业尽调反馈
     */
    @TableField("industry_feedback")
    private String industryFeedback;

    /**
     * 所属行业文件
     */
    @TableField(exist = false)
    private List<Long> industryFileIds;

    /**
     * 所属行业文件
     */
    @TableField(exist = false)
    private List<FileStorage> industryFile;

    /**
     *  所属行业准入结论 0否  1是
     */
    @TableField("industry_conclusion")
    private Integer industryConclusion;
    /**
     * 经营范围
     */
    @TableField("business_scope")
    private String businessScope;
    /**
     *  经营范围标准分值
     */
    @TableField("business_scope_standard_score")
    private BigDecimal businessScopeStandardScore;

    /**
     * 经营范围测算分值
     */
    @TableField("business_scope_measurement_score")
    private BigDecimal businessScopeMeasurementScore;

    /**
     * 经营范围问题
     */
    @TableField("business_scope_question")
    private String businessScopeQuestion;

    /**
     * 经营范围尽调反馈
     */
    @TableField("business_scope_feedback")
    private String businessScopeFeedback;

    /**
     * 经营范围文件
     */
    @TableField(exist = false)
    private List<Long> businessScopeFileIds;

    /**
     * 经营范围文件
     */
    @TableField(exist = false)
    private List<FileStorage> businessScopeFile;

    /**
     * 经营范围准入结论 0否  1是
     */
    @TableField("business_scope_conclusion")
    private Integer businessScopeConclusion;

    /**
     * 基本变动信息
     */
    @TableField("basic_change_size")
    private Integer basicChangeSize;
    /**
     *   基本变动信息标准分值
     */
    @TableField("change_standard_score")
    private BigDecimal changeStandardScore;

    /**
     *  基本变动信息测算分值
     */
    @TableField("change_measurement_score")
    private BigDecimal changeMeasurementScore;

    /**
     *  基本变动信息问题
     */
    @TableField("change_question")
    private String changeQuestion;

    /**
     *  基本变动信息尽调反馈
     */
    @TableField("change_feedback")
    private String changeFeedback;

    /**
     * 基本变动信息文件
     */
    @TableField(exist = false)
    private List<Long> changeFileIds;

    /**
     * 基本变动信息文件
     */
    @TableField(exist = false)
    private List<FileStorage> changeFile;

    /**
     *  基本变动信息准入结论 0否  1是
     */
    @TableField("change_conclusion")
    private Integer changeConclusion;

    /**
     * 关联企业标准分值
     */
    @TableField("associated_enterprise_standard_score")
    private BigDecimal associatedEnterpriseStandardScore;

    /**
     * 关联企业测算分值
     */
    @TableField("associated_enterprise_measurement_score")
    private BigDecimal associatedEnterpriseMeasurementScore;

    /**
     * 关联企业问题
     */
    @TableField("associated_enterprise_question")
    private String associatedEnterpriseQuestion;

    /**
     * 关联企业尽调反馈
     */
    @TableField("associated_enterprise_feedback")
    private String associatedEnterpriseFeedback;

    /**
     * 关联企业文件
     */
    @TableField(exist = false)
    private List<Long> associatedEnterpriseFileIds;

    /**
     * 关联企业文件
     */
    @TableField(exist = false)
    private List<FileStorage> associatedEnterpriseFile;

    /**
     * 关联企业准入结论 0否  1是
     */
    @TableField("associated_enterprise_conclusion")
    private Integer associatedEnterpriseConclusion;

    /**
     * 负面清单问题
     */
    @TableField("negative_information_question")
    private String negativeInformationQuestion;

    /**
     * 负面清单反馈
     */
    @TableField("negative_information_feedback")
    private String negativeInformationFeedback;

    /**
     * 负面清单文件
     */
    @TableField(exist = false)
    private List<Long> negativeInformationFileIds;

    /**
     * 负面清单文件
     */
    @TableField(exist = false)
    private List<FileStorage> negativeInformationFile;

    @TableField(exist = false)
    private List<CRegStock> regStocks;

    @TableField(exist = false)
    private SupplierInfo supplierInfo;

    @TableField(exist = false)
    private List< FileStorageDO> rentalFiles;
    @TableField(exist = false)
    private List<FileStorageDO> waterFiles;
    @TableField(exist = false)
    private List<FileStorageDO> officeFiles;


    @TableField(exist = false)
    private List<CAssociatedEnterpriseInfoHistory> enterpriseInfoHistoryList;
    @TableField(exist = false)
    private List<CreditSituation> creditSituations;
    /**
     * 企业信誉
     */
    @TableField(exist = false)
    private CorporateGoodwill corporateGoodwill;
    /**
     * 民间借贷
     */
    @TableField(exist = false)
    private List<PrivateLending> privateLendings;
    /**
     * 严重违法
     */
    @TableField(exist = false)
    private List<SeriousIllegality> seriousIllegalities;
    /**
     * 欠税公告
     */
    @TableField(exist = false)
    private List<TaxOweNotice> taxOweNotices;
    /**
     * 税收违法
     */
    @TableField(exist = false)
    private List<TaxIllegalData> taxIllegalData;
    /**
     * 黑名单
     */
    @TableField(exist = false)
    private List<Blacklist> blacklists;
    /**
     * 其他经营异常
     */
    @TableField(exist = false)
    private List<ExceptionData> exceptionData;
    /**
     * 重大负面新闻舆情
     */
    @TableField(exist = false)
    private List<News> news;
    /**
     * 主营业务收入
     */
    @TableField(exist = false)
    private BigDecimal mainBusinessIncome;

    /**
     * 主营业务成本
     */
    @TableField(exist = false)
    private BigDecimal mainBusinessCost;

    /**
     * 毛利率
     */
    @TableField(exist = false)
    private BigDecimal mainBusinessProfit;

    /**
     * 动产融资登记
     */
    @TableField(exist = false)
    private List<FileStorage> files;
    @TableField(exist = false)
    private List<CCorporateFinanceHistory> corporateFinanceList;
    @TableField(exist = false)
    private List<FileStorageDO> enterpriseTaxReturnFiles;
    @TableField(exist = false)
    private List<FileStorageDO> enterpriseAccountingReportFiles;
    @TableField(exist = false)
    private List<UpstreamProcurementDocuments> upstreamProcurementDocumentsList;
    @TableField(exist = false)
    private List<SalesDocumentsInfo> salesDocumentsInfoList;
    @TableField(exist = false)
    private List<VideoDueDiligenceShareholdersSituation> videoDueDiligenceShareholdersSituations;
    @TableField(exist = false)
    private VideoDueDiligenceCorporateGoodwill videoDueDiligenceCorporateGoodwill;
    @TableField(exist = false)
    private VideoDueDiligenceFinance videoDueDiligenceFinance;
    @TableField(exist = false)
    private VideoDueDiligenceOperations videoDueDiligenceOperations;
    @TableField(exist = false)
    private VideoDueDiligenceComprehensiveEvaluation videoDueDiligenceComprehensiveEvaluation;

    /**
     * 修正得分
     */
    @TableField(exist = false)
    private BigDecimal fixScore;
    @TableField(exist = false)
    private String taskId;

    /**
     * 评估意见
     */
    @TableField(exist = false)
    private String evaluationOpinions;

    /**
     * 主营业务收入
     */
    @TableField(exist = false)
    private BigDecimal mainBusinessIncomeFix;

    /**
     * 主营业务成本
     */
    @TableField(exist = false)
    private BigDecimal mainBusinessCostFix;

    /**
     * 毛利率
     */
    @TableField(exist = false)
    private BigDecimal mainBusinessProfitFix;

    public BigDecimal getFixScore() {
        return fixScore;
    }

    public void setFixScore(BigDecimal fixScore) {
        this.fixScore = fixScore;
    }

    public BigDecimal getMainBusinessIncomeFix() {
        return mainBusinessIncomeFix;
    }

    public void setMainBusinessIncomeFix(BigDecimal mainBusinessIncomeFix) {
        this.mainBusinessIncomeFix = mainBusinessIncomeFix;
    }

    public BigDecimal getMainBusinessCostFix() {
        return mainBusinessCostFix;
    }

    public void setMainBusinessCostFix(BigDecimal mainBusinessCostFix) {
        this.mainBusinessCostFix = mainBusinessCostFix;
    }

    public BigDecimal getMainBusinessProfitFix() {
        return mainBusinessProfitFix;
    }

    public void setMainBusinessProfitFix(BigDecimal mainBusinessProfitFix) {
        this.mainBusinessProfitFix = mainBusinessProfitFix;
    }

    public SupplierInfo getSupplierInfo() {
        return supplierInfo;
    }

    public void setSupplierInfo(SupplierInfo supplierInfo) {
        this.supplierInfo = supplierInfo;
    }

    public String getEvaluationOpinions() {
        return evaluationOpinions;
    }

    public void setEvaluationOpinions(String evaluationOpinions) {
        this.evaluationOpinions = evaluationOpinions;
    }

    public BigDecimal getMainBusinessIncome() {
        return mainBusinessIncome;
    }

    public void setMainBusinessIncome(BigDecimal mainBusinessIncome) {
        this.mainBusinessIncome = mainBusinessIncome;
    }

    public BigDecimal getMainBusinessCost() {
        return mainBusinessCost;
    }

    public void setMainBusinessCost(BigDecimal mainBusinessCost) {
        this.mainBusinessCost = mainBusinessCost;
    }

    public BigDecimal getMainBusinessProfit() {
        return mainBusinessProfit;
    }

    public void setMainBusinessProfit(BigDecimal mainBusinessProfit) {
        this.mainBusinessProfit = mainBusinessProfit;
    }

    public List<CCorporateFinanceHistory> getCorporateFinanceList() {
        return corporateFinanceList;
    }

    public void setCorporateFinanceList(List<CCorporateFinanceHistory> corporateFinanceList) {
        this.corporateFinanceList = corporateFinanceList;
    }

    public List<Long> getNegativeInformationFileIds() {
        return negativeInformationFileIds;
    }

    public void setNegativeInformationFileIds(List<Long> negativeInformationFileIds) {
        this.negativeInformationFileIds = negativeInformationFileIds;
    }

    public List<Long> getShareholderFileIds() {
        return shareholderFileIds;
    }

    public void setShareholderFileIds(List<Long> shareholderFileIds) {
        this.shareholderFileIds = shareholderFileIds;
    }

    public List<Long> getLifeFileIds() {
        return lifeFileIds;
    }

    public void setLifeFileIds(List<Long> lifeFileIds) {
        this.lifeFileIds = lifeFileIds;
    }

    public List<Long> getCapitalFileIds() {
        return capitalFileIds;
    }

    public void setCapitalFileIds(List<Long> capitalFileIds) {
        this.capitalFileIds = capitalFileIds;
    }

    public List<Long> getAddressFileIds() {
        return addressFileIds;
    }

    public void setAddressFileIds(List<Long> addressFileIds) {
        this.addressFileIds = addressFileIds;
    }

    public List<Long> getBusinessAddressFileIds() {
        return businessAddressFileIds;
    }

    public void setBusinessAddressFileIds(List<Long> businessAddressFileIds) {
        this.businessAddressFileIds = businessAddressFileIds;
    }

    public List<Long> getIndustryFileIds() {
        return industryFileIds;
    }

    public void setIndustryFileIds(List<Long> industryFileIds) {
        this.industryFileIds = industryFileIds;
    }

    public List<Long> getBusinessScopeFileIds() {
        return businessScopeFileIds;
    }

    public void setBusinessScopeFileIds(List<Long> businessScopeFileIds) {
        this.businessScopeFileIds = businessScopeFileIds;
    }

    public List<FileStorage> getBusinessScopeFile() {
        return businessScopeFile;
    }

    public void setBusinessScopeFile(List<FileStorage> businessScopeFile) {
        this.businessScopeFile = businessScopeFile;
    }

    public List<Long> getChangeFileIds() {
        return changeFileIds;
    }

    public void setChangeFileIds(List<Long> changeFileIds) {
        this.changeFileIds = changeFileIds;
    }

    public List<Long> getAssociatedEnterpriseFileIds() {
        return associatedEnterpriseFileIds;
    }

    public void setAssociatedEnterpriseFileIds(List<Long> associatedEnterpriseFileIds) {
        this.associatedEnterpriseFileIds = associatedEnterpriseFileIds;
    }

    public List<FileStorage> getShareholderFile() {
        return shareholderFile;
    }

    public void setShareholderFile(List<FileStorage> shareholderFile) {
        this.shareholderFile = shareholderFile;
    }

    public List<FileStorage> getLifeFile() {
        return lifeFile;
    }

    public void setLifeFile(List<FileStorage> lifeFile) {
        this.lifeFile = lifeFile;
    }

    public List<FileStorage> getCapitalFile() {
        return capitalFile;
    }

    public void setCapitalFile(List<FileStorage> capitalFile) {
        this.capitalFile = capitalFile;
    }

    public List<FileStorage> getAddressFile() {
        return addressFile;
    }

    public void setAddressFile(List<FileStorage> addressFile) {
        this.addressFile = addressFile;
    }

    public List<FileStorage> getBusinessAddressFile() {
        return businessAddressFile;
    }

    public void setBusinessAddressFile(List<FileStorage> businessAddressFile) {
        this.businessAddressFile = businessAddressFile;
    }

    public List<FileStorage> getIndustryFile() {
        return industryFile;
    }

    public void setIndustryFile(List<FileStorage> industryFile) {
        this.industryFile = industryFile;
    }

    public List<FileStorage> getChangeFile() {
        return changeFile;
    }

    public void setChangeFile(List<FileStorage> changeFile) {
        this.changeFile = changeFile;
    }

    public List<FileStorage> getAssociatedEnterpriseFile() {
        return associatedEnterpriseFile;
    }

    public void setAssociatedEnterpriseFile(List<FileStorage> associatedEnterpriseFile) {
        this.associatedEnterpriseFile = associatedEnterpriseFile;
    }

    public List<FileStorage> getNegativeInformationFile() {
        return negativeInformationFile;
    }

    public void setNegativeInformationFile(List<FileStorage> negativeInformationFile) {
        this.negativeInformationFile = negativeInformationFile;
    }

    public String getNegativeInformationFeedback() {
        return negativeInformationFeedback;
    }

    public void setNegativeInformationFeedback(String negativeInformationFeedback) {
        this.negativeInformationFeedback = negativeInformationFeedback;
    }

    public String getNegativeInformationQuestion() {
        return negativeInformationQuestion;
    }

    public void setNegativeInformationQuestion(String negativeInformationQuestion) {
        this.negativeInformationQuestion = negativeInformationQuestion;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public VideoDueDiligenceComprehensiveEvaluation getVideoDueDiligenceComprehensiveEvaluation() {
        return videoDueDiligenceComprehensiveEvaluation;
    }

    public void setVideoDueDiligenceComprehensiveEvaluation(VideoDueDiligenceComprehensiveEvaluation videoDueDiligenceComprehensiveEvaluation) {
        this.videoDueDiligenceComprehensiveEvaluation = videoDueDiligenceComprehensiveEvaluation;
    }

    public VideoDueDiligenceOperations getVideoDueDiligenceOperations() {
        return videoDueDiligenceOperations;
    }

    public void setVideoDueDiligenceOperations(VideoDueDiligenceOperations videoDueDiligenceOperations) {
        this.videoDueDiligenceOperations = videoDueDiligenceOperations;
    }

    public VideoDueDiligenceFinance getVideoDueDiligenceFinance() {
        return videoDueDiligenceFinance;
    }

    public void setVideoDueDiligenceFinance(VideoDueDiligenceFinance videoDueDiligenceFinance) {
        this.videoDueDiligenceFinance = videoDueDiligenceFinance;
    }

    public VideoDueDiligenceCorporateGoodwill getVideoDueDiligenceCorporateGoodwill() {
        return videoDueDiligenceCorporateGoodwill;
    }

    public void setVideoDueDiligenceCorporateGoodwill(VideoDueDiligenceCorporateGoodwill videoDueDiligenceCorporateGoodwill) {
        this.videoDueDiligenceCorporateGoodwill = videoDueDiligenceCorporateGoodwill;
    }

    public List<VideoDueDiligenceShareholdersSituation> getVideoDueDiligenceShareholdersSituations() {
        return videoDueDiligenceShareholdersSituations;
    }

    public void setVideoDueDiligenceShareholdersSituations(List<VideoDueDiligenceShareholdersSituation> videoDueDiligenceShareholdersSituations) {
        this.videoDueDiligenceShareholdersSituations = videoDueDiligenceShareholdersSituations;
    }

    public List<UpstreamProcurementDocuments> getUpstreamProcurementDocumentsList() {
        return upstreamProcurementDocumentsList;
    }

    public void setUpstreamProcurementDocumentsList(List<UpstreamProcurementDocuments> upstreamProcurementDocumentsList) {
        this.upstreamProcurementDocumentsList = upstreamProcurementDocumentsList;
    }

    public List<SalesDocumentsInfo> getSalesDocumentsInfoList() {
        return salesDocumentsInfoList;
    }

    public void setSalesDocumentsInfoList(List<SalesDocumentsInfo> salesDocumentsInfoList) {
        this.salesDocumentsInfoList = salesDocumentsInfoList;
    }

    public List<FileStorageDO> getEnterpriseTaxReturnFiles() {
        return enterpriseTaxReturnFiles;
    }

    public void setEnterpriseTaxReturnFiles(List<FileStorageDO> enterpriseTaxReturnFiles) {
        this.enterpriseTaxReturnFiles = enterpriseTaxReturnFiles;
    }
    public List<FileStorageDO> getEnterpriseAccountingReportFiles() {
        return enterpriseAccountingReportFiles;
    }

    public void setEnterpriseAccountingReportFiles(List<FileStorageDO> enterpriseAccountingReportFiles) {
        this.enterpriseAccountingReportFiles = enterpriseAccountingReportFiles;
    }

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    public List<PrivateLending> getPrivateLendings() {
        return privateLendings;
    }

    public void setPrivateLendings(List<PrivateLending> privateLendings) {
        this.privateLendings = privateLendings;
    }

    public List<SeriousIllegality> getSeriousIllegalities() {
        return seriousIllegalities;
    }

    public void setSeriousIllegalities(List<SeriousIllegality> seriousIllegalities) {
        this.seriousIllegalities = seriousIllegalities;
    }

    public List<TaxOweNotice> getTaxOweNotices() {
        return taxOweNotices;
    }

    public void setTaxOweNotices(List<TaxOweNotice> taxOweNotices) {
        this.taxOweNotices = taxOweNotices;
    }

    public List<TaxIllegalData> getTaxIllegalData() {
        return taxIllegalData;
    }

    public void setTaxIllegalData(List<TaxIllegalData> taxIllegalData) {
        this.taxIllegalData = taxIllegalData;
    }

    public List<Blacklist> getBlacklists() {
        return blacklists;
    }

    public void setBlacklists(List<Blacklist> blacklists) {
        this.blacklists = blacklists;
    }

    public List<ExceptionData> getExceptionData() {
        return exceptionData;
    }

    public void setExceptionData(List<ExceptionData> exceptionData) {
        this.exceptionData = exceptionData;
    }

    public List<News> getNews() {
        return news;
    }

    public void setNews(List<News> news) {
        this.news = news;
    }

    public CorporateGoodwill getCorporateGoodwill() {
        return corporateGoodwill;
    }

    public void setCorporateGoodwill(CorporateGoodwill corporateGoodwill) {
        this.corporateGoodwill = corporateGoodwill;
    }

    public List<CreditSituation> getCreditSituations() {
        return creditSituations;
    }

    public void setCreditSituations(List<CreditSituation> creditSituations) {
        this.creditSituations = creditSituations;
    }

    public List<CAssociatedEnterpriseInfoHistory> getEnterpriseInfoHistoryList() {
        return enterpriseInfoHistoryList;
    }

    public void setEnterpriseInfoHistoryList(List<CAssociatedEnterpriseInfoHistory> enterpriseInfoHistoryList) {
        this.enterpriseInfoHistoryList = enterpriseInfoHistoryList;
    }

    public Integer getBasicChangeSize() {
        return basicChangeSize;
    }

    public void setBasicChangeSize(Integer basicChangeSize) {
        this.basicChangeSize = basicChangeSize;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public List<FileStorageDO> getRentalFiles() {
        return rentalFiles;
    }

    public void setRentalFiles(List<FileStorageDO> rentalFiles) {
        this.rentalFiles = rentalFiles;
    }

    public List<FileStorageDO> getWaterFiles() {
        return waterFiles;
    }

    public void setWaterFiles(List<FileStorageDO> waterFiles) {
        this.waterFiles = waterFiles;
    }

    public List<FileStorageDO> getOfficeFiles() {
        return officeFiles;
    }

    public void setOfficeFiles(List<FileStorageDO> officeFiles) {
        this.officeFiles = officeFiles;
    }

    public String getBusinessAddress() {
        return businessAddress;
    }

    public void setBusinessAddress(String businessAddress) {
        this.businessAddress = businessAddress;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(String registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public Long getEstablishmentPeriod() {
        return establishmentPeriod;
    }

    public void setEstablishmentPeriod(Long establishmentPeriod) {
        this.establishmentPeriod = establishmentPeriod;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }

    public BigDecimal getShareholderStandardScore() {
        return shareholderStandardScore;
    }

    public void setShareholderStandardScore(BigDecimal shareholderStandardScore) {
        this.shareholderStandardScore = shareholderStandardScore;
    }

    public BigDecimal getShareholderMeasurementScore() {
        return shareholderMeasurementScore;
    }

    public void setShareholderMeasurementScore(BigDecimal shareholderMeasurementScore) {
        this.shareholderMeasurementScore = shareholderMeasurementScore;
    }

    public String getShareholderQuestion() {
        return shareholderQuestion;
    }

    public void setShareholderQuestion(String shareholderQuestion) {
        this.shareholderQuestion = shareholderQuestion;
    }

    public String getShareholderFeedback() {
        return shareholderFeedback;
    }

    public void setShareholderFeedback(String shareholderFeedback) {
        this.shareholderFeedback = shareholderFeedback;
    }

    public Integer getShareholderConclusion() {
        return shareholderConclusion;
    }

    public void setShareholderConclusion(Integer shareholderConclusion) {
        this.shareholderConclusion = shareholderConclusion;
    }

    public BigDecimal getLifeStandardScore() {
        return lifeStandardScore;
    }

    public void setLifeStandardScore(BigDecimal lifeStandardScore) {
        this.lifeStandardScore = lifeStandardScore;
    }

    public BigDecimal getLifeMeasurementScore() {
        return lifeMeasurementScore;
    }

    public void setLifeMeasurementScore(BigDecimal lifeMeasurementScore) {
        this.lifeMeasurementScore = lifeMeasurementScore;
    }

    public String getLifeQuestion() {
        return lifeQuestion;
    }

    public void setLifeQuestion(String lifeQuestion) {
        this.lifeQuestion = lifeQuestion;
    }

    public String getLifeFeedback() {
        return lifeFeedback;
    }

    public void setLifeFeedback(String lifeFeedback) {
        this.lifeFeedback = lifeFeedback;
    }

    public Integer getLifeConclusion() {
        return lifeConclusion;
    }

    public void setLifeConclusion(Integer lifeConclusion) {
        this.lifeConclusion = lifeConclusion;
    }

    public BigDecimal getCapitalStandardScore() {
        return capitalStandardScore;
    }

    public void setCapitalStandardScore(BigDecimal capitalStandardScore) {
        this.capitalStandardScore = capitalStandardScore;
    }

    public BigDecimal getCapitalMeasurementScore() {
        return capitalMeasurementScore;
    }

    public void setCapitalMeasurementScore(BigDecimal capitalMeasurementScore) {
        this.capitalMeasurementScore = capitalMeasurementScore;
    }

    public String getCapitalQuestion() {
        return capitalQuestion;
    }

    public void setCapitalQuestion(String capitalQuestion) {
        this.capitalQuestion = capitalQuestion;
    }

    public String getCapitalFeedback() {
        return capitalFeedback;
    }

    public void setCapitalFeedback(String capitalFeedback) {
        this.capitalFeedback = capitalFeedback;
    }

    public Integer getCapitalConclusion() {
        return capitalConclusion;
    }

    public void setCapitalConclusion(Integer capitalConclusion) {
        this.capitalConclusion = capitalConclusion;
    }

    public BigDecimal getAddressStandardScore() {
        return addressStandardScore;
    }

    public void setAddressStandardScore(BigDecimal addressStandardScore) {
        this.addressStandardScore = addressStandardScore;
    }

    public BigDecimal getAddressMeasurementScore() {
        return addressMeasurementScore;
    }

    public void setAddressMeasurementScore(BigDecimal addressMeasurementScore) {
        this.addressMeasurementScore = addressMeasurementScore;
    }

    public String getAddressQuestion() {
        return addressQuestion;
    }

    public void setAddressQuestion(String addressQuestion) {
        this.addressQuestion = addressQuestion;
    }

    public String getAddressFeedback() {
        return addressFeedback;
    }

    public void setAddressFeedback(String addressFeedback) {
        this.addressFeedback = addressFeedback;
    }

    public Integer getAddressConclusion() {
        return addressConclusion;
    }

    public void setAddressConclusion(Integer addressConclusion) {
        this.addressConclusion = addressConclusion;
    }

    public BigDecimal getBusinessAddressStandardScore() {
        return businessAddressStandardScore;
    }

    public void setBusinessAddressStandardScore(BigDecimal businessAddressStandardScore) {
        this.businessAddressStandardScore = businessAddressStandardScore;
    }

    public BigDecimal getBusinessAddressMeasurementScore() {
        return businessAddressMeasurementScore;
    }

    public void setBusinessAddressMeasurementScore(BigDecimal businessAddressMeasurementScore) {
        this.businessAddressMeasurementScore = businessAddressMeasurementScore;
    }

    public String getBusinessAddressQuestion() {
        return businessAddressQuestion;
    }

    public void setBusinessAddressQuestion(String businessAddressQuestion) {
        this.businessAddressQuestion = businessAddressQuestion;
    }

    public String getBusinessAddressFeedback() {
        return businessAddressFeedback;
    }

    public void setBusinessAddressFeedback(String businessAddressFeedback) {
        this.businessAddressFeedback = businessAddressFeedback;
    }

    public Integer getBusinessAddressConclusion() {
        return businessAddressConclusion;
    }

    public void setBusinessAddressConclusion(Integer businessAddressConclusion) {
        this.businessAddressConclusion = businessAddressConclusion;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public BigDecimal getIndustryStandardScore() {
        return industryStandardScore;
    }

    public void setIndustryStandardScore(BigDecimal industryStandardScore) {
        this.industryStandardScore = industryStandardScore;
    }

    public BigDecimal getIndustryMeasurementScore() {
        return industryMeasurementScore;
    }

    public void setIndustryMeasurementScore(BigDecimal industryMeasurementScore) {
        this.industryMeasurementScore = industryMeasurementScore;
    }

    public String getIndustryQuestion() {
        return industryQuestion;
    }

    public void setIndustryQuestion(String industryQuestion) {
        this.industryQuestion = industryQuestion;
    }

    public String getIndustryFeedback() {
        return industryFeedback;
    }

    public void setIndustryFeedback(String industryFeedback) {
        this.industryFeedback = industryFeedback;
    }

    public Integer getIndustryConclusion() {
        return industryConclusion;
    }

    public void setIndustryConclusion(Integer industryConclusion) {
        this.industryConclusion = industryConclusion;
    }

    public BigDecimal getBusinessScopeStandardScore() {
        return businessScopeStandardScore;
    }

    public void setBusinessScopeStandardScore(BigDecimal businessScopeStandardScore) {
        this.businessScopeStandardScore = businessScopeStandardScore;
    }

    public BigDecimal getBusinessScopeMeasurementScore() {
        return businessScopeMeasurementScore;
    }

    public void setBusinessScopeMeasurementScore(BigDecimal businessScopeMeasurementScore) {
        this.businessScopeMeasurementScore = businessScopeMeasurementScore;
    }

    public String getBusinessScopeQuestion() {
        return businessScopeQuestion;
    }

    public void setBusinessScopeQuestion(String businessScopeQuestion) {
        this.businessScopeQuestion = businessScopeQuestion;
    }

    public String getBusinessScopeFeedback() {
        return businessScopeFeedback;
    }

    public void setBusinessScopeFeedback(String businessScopeFeedback) {
        this.businessScopeFeedback = businessScopeFeedback;
    }

    public Integer getBusinessScopeConclusion() {
        return businessScopeConclusion;
    }

    public void setBusinessScopeConclusion(Integer businessScopeConclusion) {
        this.businessScopeConclusion = businessScopeConclusion;
    }

    public BigDecimal getChangeStandardScore() {
        return changeStandardScore;
    }

    public void setChangeStandardScore(BigDecimal changeStandardScore) {
        this.changeStandardScore = changeStandardScore;
    }

    public BigDecimal getChangeMeasurementScore() {
        return changeMeasurementScore;
    }

    public void setChangeMeasurementScore(BigDecimal changeMeasurementScore) {
        this.changeMeasurementScore = changeMeasurementScore;
    }

    public String getChangeQuestion() {
        return changeQuestion;
    }

    public void setChangeQuestion(String changeQuestion) {
        this.changeQuestion = changeQuestion;
    }

    public String getChangeFeedback() {
        return changeFeedback;
    }

    public void setChangeFeedback(String changeFeedback) {
        this.changeFeedback = changeFeedback;
    }

    public Integer getChangeConclusion() {
        return changeConclusion;
    }

    public void setChangeConclusion(Integer changeConclusion) {
        this.changeConclusion = changeConclusion;
    }

    public BigDecimal getAssociatedEnterpriseStandardScore() {
        return associatedEnterpriseStandardScore;
    }

    public void setAssociatedEnterpriseStandardScore(BigDecimal associatedEnterpriseStandardScore) {
        this.associatedEnterpriseStandardScore = associatedEnterpriseStandardScore;
    }

    public BigDecimal getAssociatedEnterpriseMeasurementScore() {
        return associatedEnterpriseMeasurementScore;
    }

    public void setAssociatedEnterpriseMeasurementScore(BigDecimal associatedEnterpriseMeasurementScore) {
        this.associatedEnterpriseMeasurementScore = associatedEnterpriseMeasurementScore;
    }

    public String getAssociatedEnterpriseQuestion() {
        return associatedEnterpriseQuestion;
    }

    public void setAssociatedEnterpriseQuestion(String associatedEnterpriseQuestion) {
        this.associatedEnterpriseQuestion = associatedEnterpriseQuestion;
    }

    public String getAssociatedEnterpriseFeedback() {
        return associatedEnterpriseFeedback;
    }

    public void setAssociatedEnterpriseFeedback(String associatedEnterpriseFeedback) {
        this.associatedEnterpriseFeedback = associatedEnterpriseFeedback;
    }

    public Integer getAssociatedEnterpriseConclusion() {
        return associatedEnterpriseConclusion;
    }

    public void setAssociatedEnterpriseConclusion(Integer associatedEnterpriseConclusion) {
        this.associatedEnterpriseConclusion = associatedEnterpriseConclusion;
    }

    public List<CRegStock> getRegStocks() {
        return regStocks;
    }

    public void setRegStocks(List<CRegStock> regStocks) {
        this.regStocks = regStocks;
    }

    public String getLegalRepresentative() {
        return legalRepresentative;
    }

    public void setLegalRepresentative(String legalRepresentative) {
        this.legalRepresentative = legalRepresentative;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }
}
